Bug 220850 - devel/menhir: Update to 20170712
Summary: devel/menhir: Update to 20170712
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL: https://gitlab.inria.fr/fpottier/menh...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-19 10:43 UTC by Jov
Modified: 2017-07-31 16:44 UTC (History)
1 user (show)

See Also:


Attachments
menhir-20170712.diff (767 bytes, patch)
2017-07-19 10:43 UTC, Jov
amutu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-07-19 10:43:32 UTC
Created attachment 184499 [details]
menhir-20170712.diff

https://gitlab.inria.fr/fpottier/menhir/blob/master/CHANGES.md

2017/07/12

* Include the LaTeX sources of the manual in the official .tar.gz archive.
This should allow the manual to be included as part of the Debian package.
* Mention Obelisk,a pretty-printer for .mly files, in the manual.

QA:
portlint -AC
WARN: Makefile: [35]: use ${VARIABLE}, instead of $(VARIABLE).
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-19 11:33:05 UTC
Thank you Jov, please use the maintainer-approval attachment flag to signify a maintainer update/approved patch

Poudriere packaging QA confirmation would also be beneficial
Comment 2 Jov 2017-07-19 11:52:29 UTC
Comment on attachment 184499 [details]
menhir-20170712.diff

poudriere tesport passed on 11.0R-amd64
Comment 3 commit-hook freebsd_committer 2017-07-31 16:44:13 UTC
A commit references this bug:

Author: ultima
Date: Mon Jul 31 16:43:44 UTC 2017
New revision: 446987
URL: https://svnweb.freebsd.org/changeset/ports/446987

Log:
  * Updated to 20170712

  Changelog: https://gitlab.inria.fr/fpottier/menhir/blob/master/CHANGES.md

  PR:		220850
  Submitted by:	Jov <amutu@amutu.com> (maintainer)
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11756

Changes:
  head/devel/menhir/Makefile
  head/devel/menhir/distinfo
Comment 4 Richard Gallamore freebsd_committer 2017-07-31 16:44:58 UTC
Committed, thanks! sorry for the delay.